﻿using System.ComponentModel.DataAnnotations;
using ServiceStack.DataAnnotations;

namespace NetSurveillance.WebApp.DataServices.Models
{
    [Alias("AccountAliases")]
    public class AccountAlias : BaseModel
    {
        [AutoIncrement]
        public long Id { get; set; }

        [StringLength(64)]
        public string Account { get; set; }

        [StringLength(30)]
        public string Alias { get; set; }

        [StringLength(10)]
        public string AccountType { get; set; }
    }
}