﻿using System.ComponentModel.DataAnnotations;
using ServiceStack.DataAnnotations;

namespace NetSurveillance.WebApp.DataServices.Models
{
    /// <summary>
    /// webserver和后台交互用表
    /// </summary>
    [Alias("Interactives")]
    public class Interactive : BaseModel
    {
        [AutoIncrement]
        public long Id { get; set; }

        [StringLength(30)]
        public string InteractiveType { get; set; }

        [Default(typeof(int), "0")]
        public InteractiveStatus InteractiveStatus { get; set; }

        [StringLength(20)]
        public string ErrorCode { get; set; }
    }
}