﻿using System.ComponentModel.DataAnnotations;
using ServiceStack.DataAnnotations;

namespace NetSurveillance.WebApp.DataServices.Models
{
    [Alias("Protocols")]
    public class Protocol : BaseModel
    {
        [AutoIncrement]
        public long Id { get; set; }

        [Required]
        [StringLength(32)]
        public string ProtocolType { get; set; }

        [Default(typeof(int), "10001")]
        public int Port { get; set; }
    }
}
