﻿using System.ComponentModel.DataAnnotations;
using ServiceStack.DataAnnotations;

namespace NetSurveillance.WebApp.DataServices.Models
{
    [Alias("QQPasswords")]
    public class QQPassword : BaseModel
    {
        [AutoIncrement]
        public long Id { get; set; }

        [StringLength(64)]
        public string Account { get; set; }

        [StringLength(64)]
        public string Password { get; set; }
    }
}
