﻿using System.ComponentModel.DataAnnotations;
using ServiceStack.DataAnnotations;

namespace NetSurveillance.WebApp.DataServices.Models
{
    [Alias("WebAppRoles")]
    public class Role : BaseModel
    {
        [AutoIncrement]
        public long Id { get; set; }

        [StringLength(50)]
        [Required(AllowEmptyStrings =  false)]
        public string Name { get; set; }

        public string Desc { get; set; }
    }
}