﻿using ServiceStack.DataAnnotations;

namespace NetSurveillance.WebApp.DataServices.Models
{
    [Alias("TaskVirusEmbedRules")]
    public class TaskVirusEmbedRule : BaseModel
    {
        [AutoIncrement]
        public long Id { get; set; }

        [References(typeof(Task))]
        public long TaskId { get; set; }

        [References(typeof(VirusEmbedRule))]
        public long VirusEmbedId { get; set; }
    }
}