﻿using ServiceStack.DataAnnotations;

namespace NetSurveillance.WebApp.DataServices.Models
{
    /// <summary>
    /// 白名单设置中已勾选的主机
    /// </summary>
    [Alias("WhiteListHosts")]
    public class WhiteListHost : BaseModel
    {
        [AutoIncrement]
        public long Id { get; set; }

        [References(typeof(Host))]
        public long HostId { get; set; }

        [References(typeof(Task))]
        public long TaskId { get; set; }
    }
}
