﻿using System.Collections.Generic;
using NetSurveillance.WebApp.DataServices.Models;

namespace NetSurveillance.WebApp.Models
{
    public class DataIMRecordListModel : ListModel
    {
        public IList<DataIMRecordResult> DataIMRecords { get; set; }

        public string GroupNumber { get; set; }

        public long? TaskId { get; set; }

        public long? CaseId { get; set; }

        public TaskStatusType TaskStatus { get; set; }

        public bool IsAutoSearch { get; set; }

        public int AutoSearchInterval { get; set; }

        public string LocalNumber { get; set; }

        public string RemoteNumber { get; set; }

        public long? DataIMRecordId { get; set; }

        public bool? IsNeedCalcPageIndex { get; set; }
    }
}