﻿using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using NetSurveillance.WebApp.DataServices.Models;
using Resources;

namespace NetSurveillance.WebApp.Models
{
    public class ServerStatusModel
    {
        [Display(Name = "Case", ResourceType = typeof(ModelResource))]
        public string Case { get; set; }

        [Display(Name = "Task", ResourceType = typeof(ModelResource))]
        public string Task { get; set; }

        [Display(Name = "TaskStatus",ResourceType = typeof(ModelResource))]
        public string TaskStatus { get; set; }

        [Display(Name = "Keywords", ResourceType = typeof(ModelResource))]
        public IList<Keyword> Keywords { get; set; }

        [Display(Name = "MonitorInfo", ResourceType = typeof(ModelResource))]
        public IDictionary<string, long> MonitorInfo { get; set; }

        [Display(Name = "LineType", ResourceType = typeof(ModelResource))]
        public string LineDesc { get; set; }

        [Display(Name = "Protocols", ResourceType = typeof(ModelResource))]
        public string Protocols { get; set; }

        [Display(Name = "IpSetting", ResourceType = typeof(ModelResource))]
        public IpSetting IpSetting { get; set; }

        public ServerStatus ServerStatus { get; set; }
    }
}