﻿using System;

namespace NetSurveillance.WebApp.DataServices.Models
{
    /// <summary>
    /// 该类为DataIMRecords过滤类，不对数据库进行映射
    /// </summary>
    [Serializable]
    public class DataIMRecordFilter
    {
        public long? CaseId { get; set; }

        public long? TaskId { get; set; }

        public string OrderField { get; set; }

        public string Order { get; set; }

        public bool IsTakeAll { get; set; }

        public string GroupNumber { get; set; }

        public string LocalNumber { get; set; }

        public string RemoteNumber { get; set; }

        public long? DataIMRecordId { get; set; }
    }
}