﻿namespace NetSurveillance.WebApp.DataServices.Models
{
    /// <summary>
    /// 查询列表数据结果,该模型只用于view，不对数据库进行映射
    /// </summary>
    public class DataIMRecordResult : DataIMRecord
    {
        public string CaseName { get; set; }

        public string TaskName { get; set; }

        public string HostName { get; set; }

        public string Sender { get; set; }

        public string Receiver { get; set; }

        public string LocalName { get; set; }

        public string RemoteName { get; set; }

        public string GroupName { get; set; }
    }

    public class IMRecordGroup : DataIMRecordResult
    {
        public int Count { get; set; }
    }
}