﻿using System;

namespace NetSurveillance.WebApp.DataServices.Models
{
    /// <summary>
    /// 该类为DataRecords过滤类，不对数据库进行映射
    /// </summary>
    [Serializable]
    public class DataRecordFilter
    {
        private bool _isTakeNoTitle = true;

        public long? CaseId { get; set; }

        public long? TaskId { get; set; }

        public long? HostId { get; set; }

        public long? KeywordId { get; set; }

        public long? AccountId { get; set; }

        public string Protocol { get; set; }

        public string Email { get; set; }

        public string OrderField { get; set; }

        public string Order { get; set; }

        public bool IsTakeAll { get; set; }

        public string Keyword { get; set; }

        public string HostMac { get; set; }

        public bool IsTakeNoTitle
        {
            get { return _isTakeNoTitle; }
            set { _isTakeNoTitle = value; }
        }
    }
}