﻿using System.ComponentModel.DataAnnotations;
using ServiceStack.DataAnnotations;

namespace NetSurveillance.WebApp.DataServices.Models
{
    [Alias("WebAppDisplayFields")]
    public class DisplayField : BaseModel
    {
        [AutoIncrement]
        public long Id { get; set; }

        [Required]
        [StringLength(32)]
        public string FieldName { get; set; }

        [StringLength(32)]
        public string DisplayName { get; set; }
    }
}