﻿using System.ComponentModel.DataAnnotations;
using ServiceStack.DataAnnotations;

namespace NetSurveillance.WebApp.DataServices.Models
{
    [Alias("HostScanResults")]
    public class HostScanResult : BaseModel
    {
        [AutoIncrement]
        public long Id { get; set; }

        [StringLength(32)]
        public string Ip { get; set; }

        [StringLength(32)]
        public string Mac { get; set; }

        [Default(typeof(int), "0")]
        public int ActionCode { get; set; }
    }
}