﻿using System.ComponentModel.DataAnnotations;
using NetSurveillance.WebApp.DataServices.Resources;
using ServiceStack.DataAnnotations;

namespace NetSurveillance.WebApp.DataServices.Models
{
    [Alias("KeywordTemplates")]
    public class KeywordTemplate : BaseModel
    {
        [AutoIncrement]
        public long Id { get; set; }

        [Display(Name = "KeywordName", ResourceType = typeof(ModelResource))]
        [Required(AllowEmptyStrings = false)]
        [StringLength(255)]
        public string KeywordName { get; set; }
    }
}