﻿using ServiceStack.DataAnnotations;

namespace NetSurveillance.WebApp.DataServices.Models
{
    /// <summary>
    /// QQ监控中已勾选的主机
    /// </summary>
    [Alias("QQMonitorHosts")]
    public class QQMonitorHost : BaseModel
    {
        [AutoIncrement]
        public long Id { get; set; }

        [References(typeof(Host))]
        public long HostId { get; set; }

        [References(typeof(Task))]
        public long TaskId { get; set; }
    }
}