﻿using System;
using ServiceStack.DataAnnotations;

namespace NetSurveillance.WebApp.DataServices.Models
{
    [Serializable]
    [Alias("WebAppUserPermissions")]
    public class UserPermission : BaseModel
    {
        [AutoIncrement]
        public long Id { get; set; }

        [References(typeof(User))]
        public long UserId { get; set; }

        [Default(typeof(int), "0")]
        public PermissionType Permission { get; set; }
    }
}