﻿using ServiceStack.DataAnnotations;

namespace NetSurveillance.WebApp.DataServices.Models
{
    [Alias("WebAppUserRoles")]
    public class UserRole : BaseModel
    {
        [AutoIncrement]
        public long Id { get; set; }

        [References(typeof(User))]
        public long UserId { get; set; }

        [References(typeof(Role))]
        public long RoleId { get; set; }
    }
}