﻿using ServiceStack.DataAnnotations;

namespace NetSurveillance.WebApp.DataServices.Models
{
    [Alias("VirusEmbedHosts")]
    public class VirusEmbedHost : BaseModel
    {
        [AutoIncrement]
        public long Id { get; set; }

        [References(typeof(Host))]
        public long HostId { get; set; }

        [References(typeof(Task))]
        public long TaskId { get; set; }
    }
}