﻿using System.ComponentModel.DataAnnotations;
using Resources;

namespace NetSurveillance.WebApp.Models
{
    public class CaseModel
    {
        public long? Id { get; set; }

        [Required(AllowEmptyStrings = false)]
        [Display(Name = "CaseName", ResourceType = typeof(ModelResource))]
        public string Name { get; set; }

        [Display(Name = "CaseDesc", ResourceType = typeof(ModelResource))]
        public string Desc { get; set; }
    }
}