﻿using System.Collections.Generic;
using NetSurveillance.WebApp.DataServices.Models;

namespace NetSurveillance.WebApp.Models
{
    public class DataRecordListModel : ListModel
    {
        public IList<DataRecordResult> DataRecords { get; set; }

        public int AutoSearchInterval { get; set; }

        public bool IsAutoSearch { get; set; }

        public long? CaseId { get; set; }

        public long TaskId { get; set; }

        public long? HostId { get; set; }

        public string Protocol { get; set; }

        public long? KeywordId { get; set; }

        public string Email { get; set; }

        public long? AccountId { get; set; }

        public string Keyword { get; set; }

        public string HostMac { get; set; }

        public TaskStatusType TaskStatus { get; set; }
    }
}