﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace NetSurveillance.WebApp.Models
{
    public class WhiteListModel
    {
        public string[] Domains { get; set; }

        public string[] Macs { get; set; }

        public Port[] Ports { get; set; }

        public IP[] Ips { get; set; }

        public class Port
        {
            public int PortStart { get; set; }

            public int PortEnd { get; set; }
        }

        public class IP
        {
            public string IpStart { get; set; }

            public string IpEnd { get; set; }
        }

        public bool IsWhiteListModelChecked
        {
            get;
            set;
        }
    }
}